// -- FILE ------------------------------------------------------------------
// name       : Customer.cs
// created    : Jani Giannoudis - 2008.03.27
// language   : c#
// environment: .NET 3.0
// --------------------------------------------------------------------------
using System;
using System.Windows;
using System.Windows.Controls;

namespace Itenso.Windows.Controls.ListViewLayoutDemo
{

	// ------------------------------------------------------------------------
	public enum CustomerState
	{
		New,
		Approved,
		Denied,
	} // CustomerState

	// ------------------------------------------------------------------------
	public class Customer
	{

		// ----------------------------------------------------------------------
		public Customer()
		{
		} // Customer

		// ----------------------------------------------------------------------
		public Customer( string firstName, string lastName, string street, 
			string city, string zipCode, CustomerState state )
		{
			this.firstName = firstName;
			this.lastName = lastName;
			this.street = street;
			this.city = city;
			this.zipCode = zipCode;
			this.state = state;
		} // Customer

		// ----------------------------------------------------------------------
		public string FirstName
		{
			get { return this.firstName; }
			set { this.firstName = value; }
		} // FirstName

		// ----------------------------------------------------------------------
		public string LastName
		{
			get { return this.lastName; }
			set { this.lastName = value; }
		} // LastName

		// ----------------------------------------------------------------------
		public string Street
		{
			get { return this.street; }
			set { this.street = value; }
		} // Street

		// ----------------------------------------------------------------------
		public string City
		{
			get { return this.city; }
			set { this.city = value; }
		} // City

		// ----------------------------------------------------------------------
		public string ZipCode
		{
			get { return this.zipCode; }
			set { this.zipCode = value; }
		} // ZipCode

		// ----------------------------------------------------------------------
		public CustomerState State
		{
			get { return this.state; }
			set { this.state = value; }
		} // State
		
		// ----------------------------------------------------------------------
		// members
		private string firstName;
		private string lastName;
		private string street;
		private string city;
		private string zipCode;
		private CustomerState state;

	} // class Customer

} // namespace Itenso.Windows.Controls.ListViewLayoutDemo
// -- EOF -------------------------------------------------------------------
